Package org.apache.aries.jax.rs.rest.management.internal

## Class FrameworkBundleHeaderResource

- java.lang.Object
- - org.apache.aries.jax.rs.rest.management.internal.BaseResource
  - - org.apache.aries.jax.rs.rest.management.internal.FrameworkBundleHeaderResource

    public class FrameworkBundleHeaderResource
    extends BaseResource

### Constructor Summary

Constructors
`FrameworkBundleHeaderResource​(org.osgi.framework.BundleContext bundleContext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.ws.rs.core.Response` `bundleHeaders​(long bundleid, String ext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FrameworkBundleHeaderResource

    public FrameworkBundleHeaderResource​(org.osgi.framework.BundleContext bundleContext)

### Method Detail

#### bundleHeaders

    @GET
    @Produces({"application/org.osgi.bundleheader+json","application/org.osgi.bundleheader+xml"})
    @Path("framework/bundle/{bundleid}/header{ext:(\\.json|\\.xml)*}")
    public javax.ws.rs.core.Response bundleHeaders​(@PathParam("bundleid")
                                                   long bundleid,
                                                   @PathParam("ext")
                                                   String ext)